/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package freemule.application;

import java.util.EventListener;

/**
 * @author <a href="mailto:droden@gmail.com">David Roden</a>
 * @version $Id: UploadRequestDiscoveryListener.java,v 1.1 2005/11/28 22:50:39
 *          bombe Exp $
 */
public interface UploadRequestDiscoveryListener extends EventListener {

	public void uploadRequestDiscoveryStarted(String key);

	public void uploadRequestDiscoveryFailed(String key, Exception exception);

	/**
	 * Notifies listeners that an {@link UploadRequest upload request} has been
	 * found at the specified key.
	 * 
	 * @param key
	 *            The key of the {@link UploadRequest upload request}
	 * @param uploadRequest
	 *            The {@link UploadRequest upload request} that was found
	 */
	public void uploadRequestDiscoveryComplete(String key, UploadRequest uploadRequest);

}
