/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package freemule.gui;

import java.awt.BorderLayout;

import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTable;

import freemule.application.Client;
import freemule.gui.SearchResultTableModel.ResultFile;

/**
 * @author <a href="mailto:droden@gmail.com">David Roden</a>
 * @version $Id: SearchResultCommentDialog.java,v 1.2 2005/12/03 11:06:00 bombe
 *          Exp $
 */
public class SearchResultCommentDialog extends OkayCancelDialog {

	public SearchResultCommentDialog(JFrame parent, ResultFile resultFile, Client[] clients, String[] comments, int[] ratings) {
		super(parent, "Comments for " + resultFile.getName(), OkayCancelDialog.OKAY_BUTTON);
		SearchResultCommentTableModel tableModel = new SearchResultCommentTableModel(clients, comments, ratings);
		TableSorter tableSorter = new TableSorter(tableModel);
		JTable table = new JTable(tableSorter);
		tableSorter.setTableHeader(table.getTableHeader());
		add(new JScrollPane(table), BorderLayout.CENTER);
		pack();
	}

}
