/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package freemule.gui;

import java.awt.BorderLayout;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.border.EmptyBorder;

import freemule.application.FreenetFile;
import freemule.application.UploadService;

/**
 * @author <a href="mailto:droden@gmail.com">David Roden</a>
 * @version $Id: UploadFilesPanel.java 130 2006-02-18 18:27:11Z bombe $
 */
public class UploadFilesPanel extends JPanel {

	@SuppressWarnings("unused")
	private JFrame parent;
	private UploadFilesTableModel uploadFilesTableModel;
	private TableSorter uploadFilesTableSorter;
	private JTable uploadFilesTable;

	public UploadFilesPanel(JFrame parent) {
		super(new BorderLayout(5, 5));
		this.parent = parent;
		initializeActions();
		initializeComponents();
		initializeLayout();
	}

	/**
	 * 
	 */
	private void initializeActions() {
	}

	/**
	 * 
	 */
	private void initializeComponents() {
		uploadFilesTableModel = new UploadFilesTableModel();
		uploadFilesTableSorter = new TableSorter(uploadFilesTableModel);
		uploadFilesTable = new JTable(uploadFilesTableSorter);
		uploadFilesTable.setDefaultRenderer(FreenetFile.class, new FileProgressBar());
		uploadFilesTableSorter.setTableHeader(uploadFilesTable.getTableHeader());
	}

	/**
	 * 
	 */
	private void initializeLayout() {
		setBorder(new EmptyBorder(5, 5, 5, 5));
		add(new JScrollPane(uploadFilesTable));
	}

	public void setUploadService(UploadService uploadService) {
		uploadFilesTableModel.setUploadService(uploadService);
	}

}
