/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package freenet.fcp;


/**
 * @author David Roden <droden@gmail.com>
 * @version $Id: FcpException.java,v 1.1 2005/11/28 22:54:44 bombe Exp $
 */
public class FcpException extends Exception {

	private FcpMessage fcpMessage;
	
	/**
	 * 
	 */
	public FcpException() {
		super();
	}
	
	public FcpException(String message) {
		super(message);
	}
	
	public FcpException(FcpMessage fcpMessage) {
		super();
		this.fcpMessage = fcpMessage;
	}
	
	public FcpException(FcpMessage fcpMessage, String message) {
		super(message);
		this.fcpMessage = fcpMessage;
	}

	public FcpMessage getFcpMessage() {
		return fcpMessage;
	}

}
